[package]
# --- Bumpversion match - do not reorder
name = "veilid-wasm"
version = "0.3.0"
# ---
authors = ["Veilid Team <contact@veilid.com>"]
license = "MPL-2.0"
edition = "2021"

[lib]
crate-type = ["cdylib", "rlib"]
path = "src/lib.rs"

[features]
default = ["veilid-core/default-wasm"]
crypto-test = ["veilid-core/crypto-test"]

[dependencies]
veilid-core = { version = "0.3.0", path = "../veilid-core", default-features = false }

tracing = { version = "^0", features = ["log", "attributes"] }
tracing-wasm = "^0"
tracing-subscriber = "^0"

wasm-bindgen = { version = "^0", features = ["serde-serialize"] }
console_error_panic_hook = "^0"
wee_alloc = "^0"
cfg-if = "^1"
wasm-bindgen-futures = "^0"
js-sys = "^0"
serde_json = "^1"
serde_bytes = { version = "0.11", default_features = false, features = [
  "alloc",
] }
serde = "^1"
lazy_static = "^1"
send_wrapper = "^0"
futures-util = { version = "^0" }
data-encoding = { version = "^2" }
gloo-utils = { version = "^0", features = ["serde"] }
tsify = { version = "0.4.5", features = ["js"] }
serde-wasm-bindgen = "0.6.3"

[dev-dependencies]
wasm-bindgen-test = "^0"
parking_lot = "0.12.1"
